<rtflowfile version="1.0">
   <block name="Clock" folder="Standard\Generators\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="line" x1="8" y1="20" x2="12" y2="20" style="solid"/>
      <graphic class="line" x1="12" y1="20" x2="12" y2="12" style="solid"/>
      <graphic class="line" x1="12" y1="12" x2="16" y2="12" style="solid"/>
      <graphic class="line" x1="16" y1="12" x2="16" y2="20" style="solid"/>
      <graphic class="line" x1="16" y1="20" x2="20" y2="20" style="solid"/>
      <graphic class="line" x1="20" y1="20" x2="20" y2="12" style="solid"/>
      <graphic class="line" x1="20" y1="12" x2="24" y2="12" style="solid"/>
      <doc>Generates a square wave. A square wave switches regularly between 0 and 1. The input signal t specifies the period time in execution cycles.</doc>
      <port name="t" type="int" x="0" y="16" kind="input" dir="left">
         <doc>The period time in execution cycles.</doc>
      </port>
      <port name="o" type="bool" x="32" y="16" kind="output" dir="right">
         <doc>A square wave with period t.</doc>
      </port>
   </block>
   <schematic width="930" height="602" name="Clock">
      <editor gridsize="16" alignports="true"/>
      <binstance name="Add1" block="Add" x="112" y="64"/>
      <binstance name="Pre1" block="Pre" x="160" y="64">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="Less1" block="Less" x="224" y="128"/>
      <binstance name="t" block="IntInput" x="48" y="144"/>
      <binstance name="Value1" block="Value" x="48" y="96">
         <constant name="value" value="1" show="true" x="16" y="16"/>
      </binstance>
      <binstance name="If1" block="If" x="336" y="80"/>
      <binstance name="Value2" block="Value" x="272" y="96">
         <constant name="value" value="0" show="true" x="16" y="16"/>
      </binstance>
      <binstance name="Div1" block="Div" x="192" y="176"/>
      <binstance name="Value3" block="Value" x="80" y="192">
         <constant name="value" value="2" show="true" x="16" y="16"/>
      </binstance>
      <binstance name="Less2" block="Less" x="400" y="128"/>
      <binstance name="o" block="BoolOutput" x="448" y="136"/>
      <connection name="Add1_o_1" port1="Add1.o" port2="Pre1.i0">
         <point x="144" y="80"/>
         <point x="160" y="80"/>
      </connection>
      <connection name="t" port1="t.o" port2="Less1.i1">
         <point x="64" y="152"/>
         <point x="224" y="152"/>
      </connection>
      <connection name="Value1_o_1" port1="Value1.o" port2="Add1.i1">
         <point x="80" y="112"/>
         <point x="96" y="112"/>
         <point x="96" y="88"/>
         <point x="114" y="88"/>
      </connection>
      <connection name="Pre1_o_1" port1="Pre1.o" port2="If1.i1">
         <point x="192" y="80"/>
         <point x="320" y="80"/>
         <point x="320" y="88"/>
         <point x="336" y="88"/>
      </connection>
      <connection name="Value2_o_1" port1="Value2.o" port2="If1.i0">
         <point x="304" y="112"/>
         <point x="320" y="112"/>
         <point x="320" y="104"/>
         <point x="336" y="104"/>
      </connection>
      <connection name="Less1_o_1" port1="Less1.o" port2="If1.i2">
         <point x="256" y="144"/>
         <point x="344" y="144"/>
         <point x="344" y="112"/>
      </connection>
      <connection name="If1_o_1" port1="If1.o" port2="Add1.i0">
         <point x="368" y="96"/>
         <point x="384" y="96"/>
         <point x="384" y="48"/>
         <point x="96" y="48"/>
         <point x="96" y="72"/>
         <point x="114" y="72"/>
      </connection>
      <connection name="t" port1="t.o" port2="Div1.i0">
         <point x="64" y="152"/>
         <point x="128" y="152"/>
         <point x="128" y="184"/>
         <point x="194" y="184"/>
      </connection>
      <connection name="Value3_o_1" port1="Value3.o" port2="Div1.i1">
         <point x="112" y="208"/>
         <point x="128" y="208"/>
         <point x="128" y="200"/>
         <point x="194" y="200"/>
      </connection>
      <connection name="If1_o_1" port1="If1.o" port2="Less2.i0">
         <point x="368" y="96"/>
         <point x="384" y="96"/>
         <point x="384" y="136"/>
         <point x="400" y="136"/>
      </connection>
      <connection name="Div1_o_1" port1="Div1.o" port2="Less2.i1">
         <point x="224" y="192"/>
         <point x="384" y="192"/>
         <point x="384" y="152"/>
         <point x="400" y="152"/>
      </connection>
      <connection name="o" port1="Less2.o" port2="o.i0">
         <point x="432" y="144"/>
         <point x="448" y="144"/>
      </connection>
      <connection name="Pre1_o_1" port1="Pre1.o" port2="Less1.i0">
         <point x="192" y="80"/>
         <point x="208" y="80"/>
         <point x="208" y="136"/>
         <point x="224" y="136"/>
      </connection>
   </schematic>
</rtflowfile>
